import { Component } from '@angular/core';
import { loadCldr, L10n, setCulture } from "@syncfusion/ej2-base";

declare var require: any;

loadCldr(
  require("cldr-data/main/tr/numbers.json"),
  require("cldr-data/main/tr/ca-gregorian.json"),
  require("cldr-data/supplemental/numberingSystems.json"),
  require("cldr-data/main/tr/timeZoneNames.json")
);


@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  public date: Date = new Date("12/11/2017 1:00 AM");
  public format: string ="dd.MM.yyyy hh:mm";
  ngOnInit(): void {
    setCulture('tr');
    /*loads the localization text*/
    L10n.load({
      'tr': {
        'datetimepicker': {
          placeholder: "Wählen Sie ein Datum und eine Uhrzeit aus",
          today:"heute"
        }
      }
    });
  }
}
